from time import strftime

from PyQt4 import QtCore, QtGui

class DateTime(QtGui.QLabel):
  def __init__(self, parent):
    QtGui.QLabel.__init__(self, parent)

    self.setAlignment(QtCore.Qt.AlignCenter)
    self.setSizePolicy(QtGui.QSizePolicy.Maximum, QtGui.QSizePolicy.Minimum)
    self.setMargin(2)
    self.updateDateTime()

    self.timer=QtCore.QTimer(self)
    QtCore.QObject.connect(self.timer, QtCore.SIGNAL("timeout()"), self.updateDateTime)
    self.timer.start(5000)
  
  def updateDateTime(self):
    self.setText(strftime("%H:%M"))
